<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Modules</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('modules.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Modules</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here is a list of all modules:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><a class="el" href="d0/d2d/group__api.html" target="_self">API</a></td><td class="desc">This module includes the application programming interface to the OpenThread stack </td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d1/de3/group__execution.html" target="_self">Execution</a></td><td class="desc">This module includes functions that control the Thread stack's execution </td></tr>
<tr id="row_0_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d0/d0a/group__commands.html" target="_self">Commands</a></td><td class="desc">This module includes functions for OpenThread commands </td></tr>
<tr id="row_0_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_2_" class="arrow" onclick="toggleFolder('0_2_')">&#9660;</span><a class="el" href="d1/d44/group__config.html" target="_self">Configuration</a></td><td class="desc">This module includes functions for configuration </td></tr>
<tr id="row_0_2_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="df/d4f/group__config-general.html" target="_self">General</a></td><td class="desc">This module includes functions that manage configuration parameters for the Thread Child, Router, and Leader roles </td></tr>
<tr id="row_0_2_1_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="db/da2/group__config-br.html" target="_self">Border Router</a></td><td class="desc">This module includes functions that manage configuration parameters that apply to the Thread Border Router role </td></tr>
<tr id="row_0_2_2_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="db/d57/group__config-test.html" target="_self">Test</a></td><td class="desc">This module includes functions that manage configuration parameters required for Thread Certification testing </td></tr>
<tr id="row_0_2_3_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="da/d96/group__config-router.html" target="_self">Router/Leader</a></td><td class="desc">This module includes functions that manage configuration parameters for the Thread Router and Leader roles </td></tr>
<tr id="row_0_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d8/dd2/group__diags.html" target="_self">Diagnostics</a></td><td class="desc">This module includes functions that expose internal state </td></tr>
<tr id="row_0_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d4/d7c/group__messages.html" target="_self">Message Buffers</a></td><td class="desc">This module includes functions that manipulate OpenThread message buffers </td></tr>
<tr id="row_0_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="db/de8/group__ip6.html" target="_self">IPv6</a></td><td class="desc">This module includes functions that control IPv6 communication </td></tr>
<tr id="row_0_6_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d2/d11/group__udp.html" target="_self">UDP</a></td><td class="desc">This module includes functions that control UDP communication </td></tr>
<tr id="row_1_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_1_" class="arrow" onclick="toggleFolder('1_')">&#9660;</span><a class="el" href="de/d8b/group__platform.html" target="_self">Platform Abstraction</a></td><td class="desc">This module includes the platform abstraction used by the OpenThread stack </td></tr>
<tr id="row_1_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="dd/db6/group__alarm.html" target="_self">Alarm</a></td><td class="desc">This module includes the platform abstraction for the alarm service </td></tr>
<tr id="row_1_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="df/d93/group__diag.html" target="_self">Diag</a></td><td class="desc">This module includes the platform abstraction for diagnostics features </td></tr>
<tr id="row_1_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d8/dff/group__logging.html" target="_self">Logging</a></td><td class="desc">This module includes the platform abstraction for the debug log service </td></tr>
<tr id="row_1_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_3_" class="arrow" onclick="toggleFolder('1_3_')">&#9660;</span><a class="el" href="d0/d5b/group__radio.html" target="_self">Radio</a></td><td class="desc">This module includes the platform abstraction for radio communication </td></tr>
<tr id="row_1_3_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="db/d1b/group__radio-types.html" target="_self">Types</a></td><td class="desc">This module includes the platform abstraction for a radio packet </td></tr>
<tr id="row_1_3_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="d1/d69/group__radio-config.html" target="_self">Configuration</a></td><td class="desc">This module includes the platform abstraction for radio configuration </td></tr>
<tr id="row_1_3_2_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="d7/d9c/group__radio-operation.html" target="_self">Operation</a></td><td class="desc">This module includes the platform abstraction for radio operations </td></tr>
<tr id="row_1_4_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="dd/d10/group__random.html" target="_self">Random</a></td><td class="desc">This module includes the platform abstraction to support critical sections </td></tr>
<tr id="row_1_5_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d1/d88/group__spi-slave.html" target="_self">SPI Slave</a></td><td class="desc">This module includes the platform abstraction for SPI slave communication </td></tr>
<tr id="row_1_6_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d7/da1/group__toolchain.html" target="_self">Toolchain</a></td><td class="desc">This module defines a toolchain abstraction layer through macros </td></tr>
<tr id="row_1_7_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="db/def/group__uart.html" target="_self">UART</a></td><td class="desc">This module includes the platform abstraction for UART communication </td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_2_" class="arrow" onclick="toggleFolder('2_')">&#9660;</span><a class="el" href="d0/de1/group__core.html" target="_self">Core</a></td><td class="desc">This module includes the core OpenThread stack </td></tr>
<tr id="row_2_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d9/db4/group__core-6lowpan.html" target="_self">6LoWPAN</a></td><td class="desc">This module includes definitions for 6LoWPAN header compression </td></tr>
<tr id="row_2_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d5/de9/group__core-coap.html" target="_self">CoAP</a></td><td class="desc">This module includes definitions for CoAP </td></tr>
<tr id="row_2_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d3/d6c/group__core-global-address.html" target="_self">Global IPv6 Address</a></td><td class="desc">This module includes definitions for Thread global IPv6 address configuration with SLAAC </td></tr>
<tr id="row_2_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_2_3_" class="arrow" onclick="toggleFolder('2_3_')">&#9660;</span><a class="el" href="d2/df2/group__core-ipv6.html" target="_self">IPv6</a></td><td class="desc">This module includes definitions for the IPv6 network layer </td></tr>
<tr id="row_2_3_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="d9/dbe/group__core-ip6-icmp6.html" target="_self">ICMPv6</a></td><td class="desc">This module includes definitions for ICMPv6 </td></tr>
<tr id="row_2_3_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="d9/dcf/group__core-ip6-ip6.html" target="_self">IPv6</a></td><td class="desc">This module includes definitions for core IPv6 networking </td></tr>
<tr id="row_2_3_2_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="d9/dea/group__core-ip6-mpl.html" target="_self">MPL</a></td><td class="desc">This module includes definitions for MPL </td></tr>
<tr id="row_2_3_3_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="d5/d43/group__core-ip6-netif.html" target="_self">Network Interfaces</a></td><td class="desc">This module includes definitions for IPv6 network interfaces </td></tr>
<tr id="row_2_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="df/d5c/group__core-mac.html" target="_self">MAC</a></td><td class="desc">This module includes definitions for the IEEE 802.15.4 MAC </td></tr>
<tr id="row_2_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d4/d0a/group__core-mesh-forwarding.html" target="_self">Mesh Forwarding</a></td><td class="desc">This module includes definitions for mesh forwarding within Thread </td></tr>
<tr id="row_2_6_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="dd/d2e/group__core-message.html" target="_self">Message</a></td><td class="desc">This module includes definitions for the message buffer pool and message buffers </td></tr>
<tr id="row_2_7_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_2_7_" class="arrow" onclick="toggleFolder('2_7_')">&#9660;</span><a class="el" href="de/d97/group__core-mle.html" target="_self">MLE</a></td><td class="desc">This module includes definitions for the MLE protocol </td></tr>
<tr id="row_2_7_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="df/d94/group__core-mle-core.html" target="_self">Core</a></td><td class="desc">This module includes definitions for MLE functionality required by the Thread <a class="el" href="d3/de7/classThread_1_1Child.html" title="This class represents a Thread Child. ">Child</a>, <a class="el" href="db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a>, and Leader roles </td></tr>
<tr id="row_2_7_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="db/dec/group__core-mle-router.html" target="_self">Router</a></td><td class="desc">This module includes definitions for MLE functionality required by the Thread <a class="el" href="db/d81/classThread_1_1Router.html" title="This class represents a Thread Router. ">Router</a> and Leader roles </td></tr>
<tr id="row_2_7_2_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="d4/d80/group__core-mle-tlvs.html" target="_self">TLVs</a></td><td class="desc">This module includes definitions for generating and processing MLE TLVs </td></tr>
<tr id="row_2_8_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_2_8_" class="arrow" onclick="toggleFolder('2_8_')">&#9660;</span><a class="el" href="d6/de8/group__core-netdata.html" target="_self">Network Data</a></td><td class="desc">This module includes definitions for generating, processing, and managing Thread Network Data </td></tr>
<tr id="row_2_8_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="d4/d80/group__core-netdata-core.html" target="_self">Core</a></td><td class="desc">This module includes definitions for managing Thread Network Data </td></tr>
<tr id="row_2_8_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="da/d0a/group__core-netdata-leader.html" target="_self">Leader</a></td><td class="desc">This module includes definitions for manipulating Thread Network Data managed by the Thread <a class="el" href="d6/d9b/classThread_1_1NetworkData_1_1Leader.html" title="This class implements the Thread Network Data maintained by the Leader. ">Leader</a> </td></tr>
<tr id="row_2_8_2_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="dd/d23/group__core-netdata-local.html" target="_self">Local</a></td><td class="desc">This module includes definitions for manipulating local Thread Network Data </td></tr>
<tr id="row_2_8_3_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a class="el" href="da/da3/group__core-netdata-tlvs.html" target="_self">TLVs</a></td><td class="desc">This module includes definitions for generating and processing Thread Network Data TLVs </td></tr>
<tr id="row_2_9_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="db/d14/group__core-netif.html" target="_self">Network Interface</a></td><td class="desc">This module includes definitions for the Thread network interface </td></tr>
<tr id="row_2_10_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d5/d21/group__core-arp.html" target="_self">RLOC Mapping</a></td><td class="desc">This module includes definitions for Thread EID-to-RLOC mapping and caching </td></tr>
<tr id="row_2_11_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="dd/dcf/group__core-security.html" target="_self">Security</a></td><td class="desc">This module includes definitions for Thread security material generation </td></tr>
<tr id="row_2_12_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d2/d20/group__core-tasklet.html" target="_self">Tasklet</a></td><td class="desc">This module includes definitions for tasklets and the tasklet scheduler </td></tr>
<tr id="row_2_13_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="df/d90/group__core-timer.html" target="_self">Timer</a></td><td class="desc">This module includes definitions for the multiplexed timer service </td></tr>
<tr id="row_2_14_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="db/daa/group__core-udp.html" target="_self">UDP</a></td><td class="desc">This module includes definitions for UDP/IPv6 sockets </td></tr>
<tr id="row_2_15_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d1/d79/group__core-tcp.html" target="_self">TCP</a></td><td class="desc">This module includes definitions for parsing TCP header </td></tr>
<tr id="row_2_16_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a class="el" href="d3/d4b/group__core-link-quality.html" target="_self">Link Quality</a></td><td class="desc">This module includes definitions for Thread link quality metrics </td></tr>
<tr id="row_3_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a class="el" href="da/dc3/group__core-timer-trickle.html" target="_self">Core-timer-trickle</a></td><td class="desc">This module includes definitions for the trickle timer logic </td></tr>
<tr id="row_4_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a class="el" href="db/d64/group__core-netdiag.html" target="_self">Core-netdiag</a></td><td class="desc">This module includes definitions for sending and handling Network Diagnostic Commands </td></tr>
<tr id="row_5_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a class="el" href="d7/d42/group__core-commissioning.html" target="_self">Core-commissioning</a></td><td class="desc"></td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
